// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: loadmodule/loadmodule.proto

package openfmb.loadmodule;

public interface LoadControlFSCCOrBuilder extends
    // @@protoc_insertion_point(interface_extends:loadmodule.LoadControlFSCC)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the controlFSCC field is set.
   */
  boolean hasControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return The controlFSCC.
   */
  openfmb.commonmodule.ControlFSCC getControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ControlFSCCOrBuilder getControlFSCCOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
   * @return Whether the loadControlScheduleFSCH field is set.
   */
  boolean hasLoadControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
   * @return The loadControlScheduleFSCH.
   */
  openfmb.loadmodule.LoadControlScheduleFSCH getLoadControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadControlScheduleFSCH loadControlScheduleFSCH = 2;</code>
   */
  openfmb.loadmodule.LoadControlScheduleFSCHOrBuilder getLoadControlScheduleFSCHOrBuilder();
}
